<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreatePie extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('pie')
			->addColumn('fecha', 'date', ['null' => false])
			->addColumn('valor', 'double', ['null' => false, 'signed' => false])
			->addColumn('uf', 'double', ['default' => null, 'null' => true, 'signed' => false])
			->addColumn('cuotas', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('asociado', 'integer', ['length' => 11, 'default' => 0])
			->addColumn('reajuste', 'integer', ['length' => 11, 'default' => null, 'null' => true, 'signed' => false])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
